#
# spec file for package flashrom
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flashrom
Url:            http://flashrom.org/Flashrom
Summary:        A universal flash programming utility
License:        GPL-2.0
Group:          Development/Tools/Other
Version:        0.9.8_r1891
Release:        37.1
Source0:        flashrom.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libftdi1
BuildRequires:  libftdi1-devel
BuildRequires:  pciutils-devel
BuildRequires:  pkgconfig(libusb)
BuildRequires:  zlib-devel
%if 0%{?suse_version} <= 1110
Requires:       pmtools
%else
Requires:       dmidecode
%endif
ExclusiveArch:  %ix86 x86_64

%description
flashrom is a utility for reading, writing, verifying and erasing flash ROM
chips. It's often used to flash BIOS/EFI/coreboot/firmware images in-system
using a supported mainboard, but it also supports flashing of network
cards (NICs), SATA controller cards, and other external devices which can
program flash chips.

It supports a wide range of DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32, and
TSOP40 chips, which use various protocols such as LPC, FWH, parallel flash,
or SPI.

%prep
%setup -q -n %{name}

%build
make %{?_smp_mflags} \
        CFLAGS="%{optflags}" \
        CONFIG_DEDIPROG=yes
#gzip flashrom.8

%install

mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/man8
install -m 0755 flashrom %{buildroot}/%{_sbindir}
install -m 0644 flashrom.8 %{buildroot}/%{_mandir}/man8

%files
%defattr(-,root,root)
%doc COPYING
%doc README
%{_sbindir}/flashrom
%{_mandir}/man8/flashrom.8.gz

%changelog
* Thu Aug 15 2013 p.drouand@gmail.com
- Update to version 0.9.7
  + see http://flashrom.org/Flashrom/0.9.7 for changes
- Use official tarball instead of generated one from svn
- Let RPM strips manpage himself;
- Change Url to real one
* Wed Mar 13 2013 cfarrell@suse.com
- license update: GPL-2.0
  No indication of aggregation
* Tue Mar  5 2013 coolo@suse.com
- update license to new format
* Sun Sep 23 2012 kernel01@hailfinger.org
- Update to 0.9.6.1
* Thu Oct 27 2011 crrodriguez@opensuse.org
- update to 0.9.4 r1457.
  * Mark several new boards as supported/unsupported
* Thu Oct 13 2011 stepan@coresystems.de
- update to 0.9.4 r1450.
  * support more devices
- Fix update-snapshots script when running svn with locales other
  than english.
* Tue Oct  4 2011 kernel01@hailfinger.org
- Update flashrom from 0.9.4-beta to 0.9.4
  * Fixes for crashes and corruption in corner cases
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Thu Jun  2 2011 stepan@coresystems.de
- update to 0.9.3 r1322.
* Thu Mar 31 2011 stepan@coresystems.de
- update to 0.9.3 r1283.
* Thu Dec  9 2010 stepan@coresystems.de
- update to 0.9.3 r1246.
- split package into coreboot-utils and flashrom
- add update-snapshots script
* Wed Sep  2 2009 kernel01@hailfinger.org
- Update flashrom to from 0.9.1-rc1 to 0.9.1
  * Bug fixes and documentation fixes only
- Update nvramtool to r4625
  * Fix HIGH_TABLES
  * Install manpage in section 8 instead of section 1
* Mon Aug 24 2009 kernel01@hailfinger.org
- Update flashrom description
- Add nvramtool description
- Use RPM_OPT_FLAGS, drop custom CFLAGS/LDFLAGS
- Install nvramtool in sbin because it's only usable as root
* Tue Aug 18 2009 kernel01@hailfinger.org
- Update flashrom to version 0.9.1-rc1
  * Support for more external flashers
  * Universal external flasher protocol
  * Automatic write/erase verification
  * Dozens of added flash chips, chipsets, mainboards
  * No root privileges needed for most external flashers
  * Improved more verbose user interface
  * Speedups: Fast bus type dependent probing, 100x faster write for
  some chips
  * Reliability fixes for buggy hardware, corner case spec
  conformance
* Mon Jun 22 2009 trenn@suse.de
- Update coreboot-utils to version 0.9.0
* Thu Jan  8 2009 bbrunner@suse.de
- update nvramtool to svn release r3852
- update flashrom to svn release r3852
* Wed Oct 15 2008 bwalle@suse.de
- update nvramtool to svn release r3613
- update flashrom to svn release r3659
* Wed Aug 13 2008 ro@suse.de
- add ExclusiveArch
* Mon Mar 17 2008 bwalle@suse.de
- rename lxbios to nvramtool
- update nvramtool to svn release r3124
- update flashrom to svn release r3153
* Sat Jan 19 2008 bwalle@suse.de
- update to svn release r3061
  o Support SPI flash chips bigger than 512 kByte sitting behind
    IT8716F Super I/O performing LPC-to-SPI flash translation.
  o Enable MX25L8005 support in flashrom.
  o Minor changes.
- add lxbios utility
* Thu Jan 10 2008 bwalle@suse.de
- initial package
